summaryrefslogtreecommitdiff
path: root/makekernel.conf.in
diff options
context:
space:
mode:
Diffstat (limited to 'makekernel.conf.in')
-rw-r--r--makekernel.conf.in21
1 files changed, 21 insertions, 0 deletions
diff --git a/makekernel.conf.in b/makekernel.conf.in
new file mode 100644
index 0000000..a5053c0
--- /dev/null
+++ b/makekernel.conf.in
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+kernelDir=#SRCDIR#/kernel
+
+before_install_hook() {
+ mount -o remount,rw /boot
+}
+
+after_install_hook() {
+ summen="$(sha512sum /boot/grub/grub.cfg /boot/vmlinuz-*)"
+ original=$(mount | grep '^[^ ]* on /boot' | awk '{print $1;}')
+ kopie=$(mdadm --detail /dev/disk/by-uuid/080c93f3-0c76-4821-b72f-3d1b7d807a70 | tail -n2 | sed 's/2$/1/' | grep -v "${original}" | sed 's/.* //')
+ echo "${summen}"
+ echo "${original}"
+ echo "${kopie}"
+ umount /boot || exit 1
+ dd if="${original}" of="${kopie}" bs=1M || (sync; mount /boot; exit 1) || exit 1
+ sync || exit 1
+ mount "${kopie}" /boot -o ro || exit 1
+ echo -ne "${summen}" | sha512sum -c || exit 1
+}